=== modified file 'l10n_it_sale/__openerp__.py'
--- l10n_it_sale/__openerp__.py	2013-03-13 08:21:42 +0000
+++ l10n_it_sale/__openerp__.py	2013-03-14 11:11:29 +0000
@@ -33,9 +33,7 @@
     'website': 'http://www.openerp-italia.org',
     'license': 'AGPL-3',
     "depends" : ['stock', 'sale', 'account', 'delivery'],
-    "init_xml" : [
-    ],
-    "update_xml" : [
+    "data" : [
         'wizard/assign_ddt.xml',
         'stock/picking_view.xml',
         'stock/carriage_condition_view.xml',
@@ -50,7 +48,7 @@
         'partner/partner_view.xml',
         'account/invoice_view.xml',
         ],
-    "demo_xml" : [],
+    "demo" : [],
     "active": False,
     "installable": True
 }

=== modified file 'l10n_it_sale/account/invoice.py'
--- l10n_it_sale/account/invoice.py	2013-03-13 08:21:42 +0000
+++ l10n_it_sale/account/invoice.py	2013-03-14 11:11:29 +0000
@@ -22,10 +22,10 @@
 import netsvc
 import pooler, tools
 
-from osv import fields, osv
+from openerp.osv import orm, fields
 from tools.translate import _
 
-class account_invoice(osv.osv):
+class account_invoice(orm.Model):
     
     _inherit = 'account.invoice'
         

=== modified file 'l10n_it_sale/partner/partner.py'
--- l10n_it_sale/partner/partner.py	2013-03-13 08:21:42 +0000
+++ l10n_it_sale/partner/partner.py	2013-03-14 11:11:29 +0000
@@ -19,10 +19,9 @@
 #
 ##############################################################################
 
-from osv import osv
-from osv import fields
+from openerp.osv import orm, fields
 
-class res_partner(osv.osv):
+class res_partner(orm.Model):
     _inherit = "res.partner"
     _columns =  {
         'carriage_condition_id': fields.many2one('stock.picking.carriage_condition', 'Carriage condition'),

=== modified file 'l10n_it_sale/sale/sale.py'
--- l10n_it_sale/sale/sale.py	2013-03-13 08:21:42 +0000
+++ l10n_it_sale/sale/sale.py	2013-03-14 11:11:29 +0000
@@ -20,9 +20,9 @@
 ##############################################################################
 
 import time
-from osv import fields, osv
+from openerp.osv import orm, fields
 
-class sale_order(osv.osv):
+class sale_order(orm.Model):
     _inherit = "sale.order"
     _columns =  {
         'validity': fields.date('Validity'),

=== modified file 'l10n_it_sale/stock/picking.py'
--- l10n_it_sale/stock/picking.py	2013-03-13 08:21:42 +0000
+++ l10n_it_sale/stock/picking.py	2013-03-14 11:11:29 +0000
@@ -22,9 +22,9 @@
 import netsvc
 import pooler, tools
 
-from osv import fields, osv
+from openerp.osv import orm, fields
 
-class stock_picking_carriage_condition(osv.osv):
+class stock_picking_carriage_condition(orm.Model):
     """
     Carriage condition
     """
@@ -36,7 +36,7 @@
     }
 stock_picking_carriage_condition()
 
-class stock_picking_goods_description(osv.osv):
+class stock_picking_goods_description(orm.Model):
     """
     Description of Goods
     """
@@ -50,7 +50,7 @@
 stock_picking_goods_description()
 
 
-class stock_picking_reason(osv.osv):
+class stock_picking_reason(orm.Model):
     """
     Reason for Transportation
     """
@@ -63,7 +63,7 @@
     }
 stock_picking_reason()
 
-class stock_picking(osv.osv):
+class stock_picking(orm.Model):
     _inherit = "stock.picking.out"
     _columns =  {
         'carriage_condition_id': fields.many2one('stock.picking.carriage_condition', 'Carriage condition'),

=== modified file 'l10n_it_sale/wizard/assign_ddt.py'
--- l10n_it_sale/wizard/assign_ddt.py	2013-03-13 08:21:42 +0000
+++ l10n_it_sale/wizard/assign_ddt.py	2013-03-14 11:11:29 +0000
@@ -19,11 +19,11 @@
 #
 ##############################################################################
 
-from osv import fields,osv
+from openerp.osv import orm, fields
 from tools.translate import _
 import time
 
-class wizard_assign_ddt(osv.osv_memory):
+class wizard_assign_ddt(orm.TransientModel):
 
     _name = "wizard.assign.ddt"
 

